Subject: [Sipping] [Fwd: Re: [Sip] question about RFC4240 (NETANN)]

From: [email-masked]
Date: Tue, 29 Aug 2006 13:36:22 +0200

Subject: RE: [Sip] question about RFC4240 (NETANN)
From: "Drage, Keith \(Keith\)" <[email-masked]>
To: [email-masked]
Date: Tue, 29 Aug 2006 12:21:42 +0200

Note that this document was produced by the SIPPING group rather than
the SIP group.

Regards

Keith 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: 25 August 2006 12:49
> To: [email-masked]
> Subject: [Sip] question about RFC4240 (NETANN)
> 
> Hello,
> 
> I have a problem with the RFC 4240.
> The language parameter is defined in the page 10.
>    locale-param    = "locale=" token
>                         ; per RFC 3066, usually
>                         ; ISO639-1_ISO3166-1
>                         ; e.g., en, en_US, en_UK, etc.
> and is explained in page 7
> locale
>       Specifies the language and optionally country variant of the
>       announcement sequence named in the "play=" parameter.  RFC 3066
>       [9] specifies the locale tag.  The locale tag is 
> usually a two- or
>       three-letter code per ISO 639-1 [11].  The country 
> variant is also
>       often a two-letter code per ISO 3166-1 [12].  These elements are
>       concatenated with a single under bar (%x5F) character, such as
>       "en_CA".
> 
> However whe I look in the RFC3066 I found
>     Language-Tag = Primary-subtag *( "-" Subtag )
> 
>     Primary-subtag = 1*8ALPHA
> 
>     Subtag = 1*8(ALPHA / DIGIT)
> 
> In the RFC3261, the Accept-Langugae is defined as 
> Accept-Language  =  "Accept-Language" HCOLON
>                      [ language *(COMMA language) ]
> language         =  language-range *(SEMI accept-param)
> language-range   =  ( ( 1*8ALPHA *( "-" 1*8ALPHA ) ) / "*" )
> 
> You can see that one RFC says that a "_" must be used between 
> the two subtags while the two others says that it must be a "-".
> And worse the RFC4240 refers to RFC3066 but uses a different 
> syntax in its BNF and in its text (
> 
> Could someone clarify what I should use?
> 
> Thanks and regards,
> Olivier
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP